.modal-team-portal {
   position: fixed;
   inset: 0;
   z-index: 10000;
   display: flex;
   align-items: center;
   justify-content: center;
}

.modal-team-mask {
   position: absolute;
   inset: 0;
   background: rgba(0, 0, 0, 0.45);
   backdrop-filter: blur(0.25rem);
}

.modal-team-container {
   position: relative;
   z-index: 10;
   width: 100%;
   display: flex;
   justify-content: center;
   padding: 1rem;
}

.modal-team-content {
   background: #ffffff;
   overflow: auto;
   display: flex;
   flex-direction: column;
   max-height: 90vh;
   &::-webkit-scrollbar {
      display: none;
   }
   -ms-overflow-style: none;
   scrollbar-width: none;
}

.modal-team-header-wrapper {
   position: relative;
   padding: 1.5rem 2rem;
   border-bottom: 0.0625rem solid rgba(0, 0, 0, 0.05);
   display: flex;
   align-items: center;
   justify-content: start;
}

.modal-popup-team__header {
   cursor: pointer;
   display: flex;
   align-items: center;
   justify-content: center;
}

.modal-popup-team__header h1 {
   font-size: 1.5rem;
   color: #1991c7;
   font-weight: 700;
   margin-right: 0.5rem;
}

.icon-down-primary {
   width: 1.125rem;
   height: 1.125rem;
   color: #1991c7;
   transition: transform 0.3s;
}


.modal-team-dropdown-menu {
   display: none;
   width: 100%;
   background: #ffffff;
   box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.06);
   border-radius: 0.5rem;
   overflow: hidden;
   flex-direction: column;
   position: absolute;
   top: 100%;
   left: 0;
   z-index: 100;
   margin-top: 0.25rem;
}


.modal-team-dropdown-menu .menu-item {
   width: 100%;
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: flex-start;
   padding: 0.75rem 0.625rem;
   color: #08354a;
   font-size: 0.75rem;
   font-weight: 400;
   line-height: 0.975rem;
   cursor: pointer;
   transition: background 0.2s ease;
}


.modal-team-dropdown-menu .menu-item.active {
   background: rgba(25, 145, 199, 0.08);
   font-weight: 500;
}


.modal-team-dropdown-menu .menu-item:hover:not(.active) {
   background: rgba(8, 53, 74, 0.03);
}
.menu-item {
   padding: 0.75rem 1.5rem;
   font-size: 1rem;
   cursor: pointer;
   transition: background 0.2s;
}

.menu-item:hover {
   background: rgba(25, 145, 199, 0.05);
   color: #1991c7;
}

.modal-procedure__button-close {
   position: absolute;
   right: 1.5rem;
   top: 1.5rem;
   border: none;
   background: transparent;
   cursor: pointer;
   color: #000;
}

.modal-team-main {
   flex: 1;
   overflow-y: auto;
   padding: 2rem;
}

.not-data {
   display: flex;
   justify-content: center;
   align-items: center;
   margin-top: 1rem;
}

@media (min-width: 640px) {
   .modal-team-content {
      width: 87.5rem;
      min-height: 10rem;
   }
   .modal-team-portal {
      display: none !important
   }
}

@media (max-width: 640px) {
   .modal-team-container {
      padding: 0;
      height: 100%;
   }
   .modal-team-content {
      width: 100%;
      height: 100%;
      max-height: 100vh;
      border-radius: 0;
   }
   .modal-popup-team__header h1 {
      font-size: 1.125rem;
   }
}

.ant-modal-body {
   padding: 2.5rem;
   flex: 1;
   overflow-y: auto;
   scrollbar-width: none;
   -ms-overflow-style: none;
}

.ant-modal-body::-webkit-scrollbar {
   display: none;
   width: 0 !important;
   height: 0 !important;
   background: transparent;
}

.team-page-title {
   font-size: 1.5rem;
   color: var(--color-primary);
   text-align: center;
   font-style: normal;
   font-weight: 700;
   line-height: 130%; /* 3.25rem */
   letter-spacing: -0.05rem;
   text-transform: uppercase;
}
.team-page-selected {
   margin-top: 2.5rem;
   display: flex;
   flex-direction: column;
   gap: 0.5rem;
}
.team-page-selected__item {
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   gap: 0.5rem;
}
.team-page-selected__item .button {
   display: none;
   position: relative;
   height: 7.6875rem;
   width: 20.75rem;
   border-radius: 0.625rem;
   justify-content: center;
   align-items: center;
   border: 0.0625rem solid var(--color-primary) !important;
   transition: filter 0.3s ease;
}
.team-page-selected__item .button > div {
   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   gap: 0.6rem;
}
.make-appointment-left .button-dat-lich-kham {
   display: flex;
   justify-content: space-between;
   align-items: start;
   gap: 2rem;
}
.make-appointment-left .button-dat-lich-kham .mess-success {
   color: #29960e;
   text-align: justify;
   font-size: 0.75rem;
   font-style: normal;
   font-weight: 400;
   line-height: 150%; /* 1.125rem */
   max-width: 18.875rem;
   position: relative;
   z-index: 10;
}
.team-page-selected__item .button:hover {
   background-color: var(--color-primary) !important;
}
.team-page-selected__item .button-mobile {
   width: 100%;
   padding: 0.88rem;
   border-radius: 0.75rem;
}
.team-page-selected__item .button-mobile .action,
.team-page-selected__item .button .action {
   filter: brightness(0) invert(1);
}

.team-page-selected__item .button:hover .icon {
   filter: brightness(0) invert(1);
}
.team-page-selected__item .button .title {
   font-weight: bold;
   color: var(--color-primary);
   transition: color 0.3s ease;
   text-align: center;
   font-size: 1.125rem;
}
.team-page-selected__item .button:hover .title {
   color: white;
}

.team-page-selected__item .button .icon.active {
   filter: brightness(0) invert(1);
}

.team-page-selected__item .button .title.active {
   color: white;
}

.team-page-selected__content {
   display: flex;
   justify-content: space-between;
   align-items: flex-start;
   gap: 3.75rem;
   margin-top: 2.5rem;
}
.team-page-selected__content-item {
   flex: 1;
   display: none;
   flex-direction: column;
}
.team-page-selected__content-from {
   width: 100%;
   display: flex;
   flex-direction: column-reverse;
   position: sticky;
   top: 0;
   right: 0;
}
.team-page-selected__content-from .background {
   height: 26.875rem;
   position: relative;
   border-radius: 1.02969rem;
   overflow: hidden;
}

.team-page-selected__content-from-text {
   position: absolute;
   top: 0;
   right: 0;
   left: 0;

   display: flex;
   justify-content: space-between;
   align-items: flex-start;

   gap: 2.5rem;
   padding: 1.25rem !important;
}
.team-page-selected__content-from-text svg {
   width: 3.4rem;
}

.team-page-selected__content-from-text .text {
   font-weight: 600;
   font-size: 1rem;
   line-height: 150%;
   color: #ffffff;
   flex: 1;
}
.team-page-selected__content-from--title {
   font-weight: 700;
   color: var(--color-primary);
   line-height: 130%;
   font-size: 1.125rem;
   text-transform: uppercase;
   margin-top: 1.25rem !important;
   margin-bottom: 1rem !important;
}

.team-page-selected__content-item__detail {
   display: flex;
   justify-content: flex-start;
   align-items: center;
   gap: 0.25rem;
}
.team-page-selected__content-item__detail--one {
   position: relative;
   width: 40%;
}
.team-page-selected__content-item__detail--one__img {
   position: absolute;
   bottom: 0;
   right: 0;
   left: 0;
   height: 70%;

   background: linear-gradient(to bottom, #ffffff00, #ffffff);
}
.team-page-selected__content-item__detail--two {
   display: flex;
   flex-direction: column;
   flex: 1;
}
.team-page-selected__content-item__detail--two__name {
   color: #1a91c7;
   font-size: 1.875rem;
   font-style: normal;
   font-weight: 900;
   line-height: 150%; /* 2.8125rem */
}
.team-page-selected__content-item__detail--two__position {
   display: flex;
   justify-content: flex-start;
   align-items: center;
   gap: 0.75rem;
}
.team-page-selected__content-item__detail--two__position--one {
   display: flex;
   justify-content: flex-start;
   align-items: center;
   gap: 0.2rem;
}
.team-page-selected__content-item__detail--two__position--one h2 {
   font-weight: 400;
}
.team-page-selected__content-item__detail--two__position--one h2,
.team-page-selected__content-item__detail--two__position--one h3 {
   font-size: 1rem !important;
   line-height: 150%;
}
.team-page-selected__content-item__detail--two__experience {
   font-size: 1.25rem;
   font-weight: 600;
   color: #08354a;
   line-height: 140%;
   margin-top: 1.25rem;
}
.team-page-selected__content-item__detail--two__progress {
   border-radius: 0.75rem;
   padding: 0.75rem 2rem 0.75rem 0.75rem !important;
   margin-top: 0.62rem;
}

.team-page-selected__content-item__detail--two__progress--one > * + * {
   margin-top: 0.5rem !important;
}
.team-page-selected__content-item__detail--two__progress--one__item {
   display: flex;
   justify-content: flex-start;
   align-items: flex-start;
   gap: 0.37rem;
}
.team-page-selected__content-item__detail--two__progress--one__item-i {
   flex: 1;
   color: #08354acc;
   font-weight: 400;
   font-size: 0.875rem;
   line-height: 150%;
}
.ant-modal-container.modal-popup-team {
   border-radius: 0;
}
.modal-popup-team .modal-procedure__button-close {
   width: 2.5rem;
   height: 2.5rem;
   background-color: var(--Primary-Dark-Blue-100, rgba(17, 17, 100, 0.1));
   backdrop-filter: blur(2.265235rem);
   border-radius: 100%;
   display: flex;
   justify-content: center;
   align-items: center;
   position: absolute;
   right: 1rem;
   top: 0.875rem;
   z-index: 50;
}

.modal-popup-team header {
   position: sticky;
   top: 0;
   left: 0;
   right: 0;
   z-index: 100;
   background-color: #fff;
   display: flex;
   padding: 0.625rem 1rem;
   justify-content: space-between;
   align-items: center;
   align-self: stretch;
   border-bottom: 0.0625rem solid var(--Black-20, rgba(22, 22, 22, 0.2));
}
.modal-popup-team header h1 {
   display: block;
   color: var(--Brand-Blue, #1991c7);
   text-align: center;
   font-size: 1.125rem;
   font-style: normal;
   font-weight: 700;
   line-height: 120%; /* 1.35rem */
   letter-spacing: -0.01125rem;
}
.modal-procedure__button-close {
   position: initial !important;
   width: 1.875rem !important;
   height: 1.875rem !important;
}
.modal-popup-team main {
   padding: 0 1rem;
   padding-top: 0.75rem;
   display: flex;
   flex-direction: column;
   gap: 1.25rem;
   padding-bottom: 3rem;
}
.modal-popup-team .team-page-selected__content-item__detail--two__name {
   color: #1a91c7;
   font-size: 1rem;
   font-style: normal;
   font-weight: 900;
   line-height: 150%;
   padding-bottom: 0.25rem;
}
.modal-popup-team .team-page-selected__content-item__detail--two__position {
   flex-direction: column;
   align-items: flex-start;
   gap: 0.38rem;
}
.modal-popup-team .team-page-selected__content-item__detail--two__position--one {
   font-size: 0.75rem !important;
   display: inline;
   font-weight: 400;
   line-height: 150%;
}
.modal-popup-team .team-page-selected__content-item__detail--two__experience {
   margin-top: 1rem;
   color: var(--Text-Body-DarkBlue-100, #08354a);
   font-size: 0.875rem;
   font-style: normal;
   font-weight: 600;
   line-height: 140%; /* 1.225rem */
}
.modal-popup-team .team-page-selected__content-item__detail--two__progress--one {
   padding: 0;
   margin: 0;
}
.modal-popup-team .team-page-selected__content-item__detail--one__img {
   bottom: -0.1rem;
}
.modal-popup-team .team-page-selected__content-item__detail--two__progress--one__item {
   align-items: center;
}
.modal-popup-team .team-page-selected__content-item__detail--two__progress--one__item-i {
   color: var(--Text-Body-DarkBlue-80, rgba(8, 53, 74, 0.8));
   font-size: 0.75rem;
   font-style: normal;
   font-weight: 400;
   line-height: 150%; /* 1.125rem */
}
.modal-popup-team__header {
   display: flex;
   justify-content: flex-start;
   align-items: center;
   gap: 0.38rem;
   position: relative;
}
.modal-popup-team__header h1 {
   width: auto;
}
.modal-popup-team header .menu {
   position: absolute;
   top: 100%;
   left: 0;
   right: 0;
   padding: 0.2rem;
   border-radius: 0.3rem;
   background-color: white;
   box-shadow: 0.0625rem 0.0625rem 0.25rem rgba(0, 0, 0, 0.1);
   gap: 0.2rem;

   display: flex;
   flex-direction: column;
   justify-content: center;
   align-items: flex-start;
}
.modal-popup-team header .menu .menu-item {
   display: flex;
   padding: 0.75rem 0.625rem;
   align-items: center;
   gap: 0.625rem;
   align-self: stretch;
}
.modal-popup-team header .menu .menu-item.active {
   background: var(--Blue-8, rgba(25, 145, 199, 0.08));
}
@media (max-width: 640px) {
   .button-article-view .whitespace-nowrap {
      color: var(--Brand-Blue, #1991c7);
      font-size: 0.875rem;
      font-style: normal;
      font-weight: 500;
      line-height: 150%;
   }
  
   .team-page-selected__content-item__detail--one .avt-doctor-modal {
      width: 7.5rem;
      height: 10.58825rem;
      aspect-ratio: 17/24;
   }
   .team-page-selected__content {
      margin-top: 1.38rem;
      margin-bottom: 0;
      padding-bottom: 1.25rem;
   }
   .team-page {
      padding-top: 3rem;
   }
   .team-page-selected {
       margin-top: 1.38rem;
   }
   .team-page-selected__content-item__detail--two__progress {
      padding: 0.75rem !important;
      margin-top: 0;
   }
   .modal-popup-team {
	overflow-y: auto;

	/* Firefox */
	scrollbar-width: thin !important;
	scrollbar-color: #1991c7 rgba(217, 217, 217, 0.6);

	/* iOS smooth */
	-webkit-overflow-scrolling: touch;
    }
    
    /* Chrome, Edge, Safari */
    .modal-popup-team::-webkit-scrollbar {
    	width: 0.16rem;
    }
    
    .modal-popup-team::-webkit-scrollbar-track {
    	background: rgba(217, 217, 217, 0.6);
    	border-radius: 62.5rem;
    }
    
    .modal-popup-team::-webkit-scrollbar-thumb {
    	background: var(--Brand-Blue, #1991c7);
    	border-radius: 62.5rem;
    }
    
    .modal-popup-team::-webkit-scrollbar-thumb:hover {
    	background: #1479a6;
    }
    .modal-popup-team::-webkit-scrollbar-button {
    	display: none !important;
    	width: 0 !important;
    	height: 0 !important;
    }
    .modal-popup-team::-webkit-scrollbar-button:single-button {
    	display: none !important;
    	width: 0 !important;
    	height: 0 !important;
    }

}
@media (min-width: 1024px) {
   .team-page-selected__content-item__detail--one {
      width: auto;
   }
}
@media (min-width: 640px) {
   .doctor-item-wrapper {
      padding-bottom: 1rem;
   }
   .team-page-selected__content-from-text .text {
      font-size: 1.25rem;
   }
   .team-page-selected__content-from {
      width: 23.125rem !important;
      flex-direction: column;
      padding-top: 1.5rem;
   }
   .team-page-selected__content-from--title {
      font-size: 1.25rem;
   }
   .team-page-selected__content-item {
      display: flex;
   }
   .button-mobile {
      display: none;
   }
    
   .team-page-selected__item .button {
      display: flex;
   }
   .team-page-selected__item {
      flex-direction: row;
      gap: 1.5rem;
   }
   .team-page-selected {
      margin-top: 2.5rem !important;
      margin-bottom: 2.5rem !important;
      gap: 1.5rem;
   }
   .team-page-title {
      font-size: 2.5rem;
   }
}

/* Ẩn scrollbar mặc định */
.modal-popup-team {
	scrollbar-width: none;
	-ms-overflow-style: none;
}

.modal-popup-team::-webkit-scrollbar {
	display: none;
}

/* ===== Custom Scroll ===== */

.modal-popup-team {
	scrollbar-width: none;
	-ms-overflow-style: none;
}

.modal-popup-team::-webkit-scrollbar {
	width: 0;
	height: 0;
	background: transparent;
}

.custom-scrollbar {
	position: fixed;
	top: 50%;
	right: 0.4rem;
	transform: translateY(-50%);
	width: 0.1rem;
	max-height: 43.875rem;
	height: 80vh;

	background: rgba(217, 217, 217, 0.6);
	border-radius: 62.5rem;

	overflow: hidden;
	pointer-events: none;

	z-index: 10;
}

.custom-scrollbar__thumb {
	position: absolute;
	top: 0;
	left: 0;

	width: 100%;

	background: var(--Brand-Blue, #1991c7);
	border-radius: 62.5rem;

	transition: transform 0.08s linear;
}
